Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.mulemq
Class MuleMQJmsConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.jms.JmsConnector
              org.mule.transport.jms.mulemq.MuleMQJmsConnector

All Implemented Interfaces:
  EventListener, ExceptionListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector

Direct Known Subclasses:
  MuleMQXAJmsConnector

    public class MuleMQJmsConnector

extends JmsConnector

Field Summary
`protected static String` | `AUTO_ACK_COUNT`
`protected static String` | `BUFFER_OUTPUT`
`static int` | `DEFAULT_AUTO_ACK_COUNT`
`static String` | `DEFAULT_BUFFER_OUTPUT`
`static boolean` | `DEFAULT_DISC_ON_CLUSTER_FAILURE`
`static boolean` | `DEFAULT_ENABLE_MULTIPLEXED_CONNECTIONS`
`static boolean` | `DEFAULT_ENABLE_SHARED_DURABLE`
`static int` | `DEFAULT_GLOBAL_STORE_CAPACITY`
`static int` | `DEFAULT_INITIAL_RETRY_COUNT`
`static int` | `DEFAULT_MAX_REDELIVERY`
`static int` | `DEFAULT_MAX_UNACKED_SIZE`
`static int` | `DEFAULT_MESSAGE_THREAD_POOL_SIZE`
`static int` | `DEFAULT_QUEUE_WINDOW_SIZE`
`static boolean` | `DEFAULT_RANDOMISE_R_NAMES`
`static String` | `DEFAULT_REALM_URL`
`static boolean` | `DEFAULT_RETRY_COMMIT`
`static int` | `DEFAULT_SYNC_BATCH_SIZE`
`static int` | `DEFAULT_SYNC_TIME`
`static boolean` | `DEFAULT_SYNC_WRITES`
`static boolean` | `DEFAULT_USE_JMS_ENGINE`
`protected static String` | `DISC_ON_CLUSTER_FAILURE`
`protected static String` | `ENABLE_MULTIPLEXED_CONNECTIONS`
`protected static String` | `ENABLE_SHARED_DURABLE`
`protected static String` | `GLOBAL_STORE_CAPACITY`
`protected static String` | `INITIAL_RETRY_COUNT`
`protected static String` | `MAX_REDELIVERY`
`protected static String` | `MAX_UNACKED_SIZE`
`protected static String` | `MESSAGE_THREAD_POOL_SIZE`
`static String` | `MULEMQ_CONNECTION_FACTORY_CLASS`
`protected static String` | `QUEUE_WINDOW_SIZE`
`protected static String` | `RANDOMISE_R_NAMES`
`protected static String` | `RETRY_COMMIT`
`boolean` | `supportJms102bSpec`
`protected static String` | `SYNC_BATCH_SIZE`
`protected static String` | `SYNC_TIME`
`protected static String` | `SYNC_WRITES`
`protected static String` | `USE_JMS_ENGINE`

Fields inherited from class org.mule.transport.jms.JmsConnector
`JMS, password, REDELIVERY_FAIL_ON_FIRST, REDELIVERY_IGNORE, username`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatcherPoolFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, PROPERTY_POLLING_FREQUENCY, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`MuleMQJmsConnector(MuleContext context)`

Method Summary
`protected void` | `doInitialise()`
`int` | `getAutoAckCount()`
`String` | `getBufferOutput()`
`protected ConnectionFactory` | `getDefaultConnectionFactory()` Override this method to provide a default ConnectionFactory for a vendor-specific JMS Connector.
`int` | `getGlobalStoreCapacity()`
`int` | `getInitialRetryCount()`
`int` | `getMaxUnackedSize()`
`int` | `getMessageThreadPoolSize()`
`protected String` | `getMuleMQFactoryClass()`
`int` | `getMuleMqMaxRedelivery()`
`int` | `getQueueWindowSize()`
`String` | `getRealmURL()`
`int` | `getSyncBatchSize()`
`int` | `getSyncTime()`
`boolean` | `isDiscOnClusterFailure()`
`boolean` | `isEnableMultiplexedConnections()`
`boolean` | `isEnableSharedDurable()`
`boolean` | `isInCluster()`
`boolean` | `isRandomiseRNames()`
`boolean` | `isRetryCommit()`
`boolean` | `isSupportJms102bSpec()`
`boolean` | `isSyncWrites()`
`boolean` | `isUseJMSEngine()`
`void` | `onException(JMSException jmsException)`
`void` | `setAutoAckCount(int autoAckCount)`
`void` | `setBufferOutput(String bufferOutput)`
`void` | `setDiscOnClusterFailure(boolean discOnClusterFailure)`
`void` | `setEnableMultiplexedConnections(boolean enableMultiplexedConnections)`
`void` | `setEnableSharedDurable(boolean enableSharedDurable)`
`void` | `setGlobalStoreCapacity(int globalStoreCapacity)`
`void` | `setInCluster(boolean inCluster)`
`void` | `setInitialRetryCount(int initialRetryCount)`
`void` | `setMaxUnackedSize(int maxUnackedSize)`
`void` | `setMessageThreadPoolSize(int messageThreadPoolSize)`
`void` | `setMuleMqMaxRedelivery(int mulqMqMaxRedelivery)`
`void` | `setQueueWindowSize(int queueWindowSize)`
`void` | `setRandomiseRNames(boolean randomiseRNames)`
`void` | `setRealmURL(String realmURL)`
`void` | `setRetryCommit(boolean retryCommit)`
`void` | `setSpecification(String specification)`
`void` | `setSupportJms102bSpec(boolean supportJms102bSpec)`
`void` | `setSyncBatchSize(int syncBatchSize)`
`void` | `setSyncTime(int syncTime)`
`void` | `setSyncWrites(boolean syncWrites)`
`void` | `setUseJMSEngine(boolean useJMSEngine)`

Methods inherited from class org.mule.transport.jms.JmsConnector
`close, close, close, close, close, closeQuietly, closeQuietly, closeQuietly, closeQuietly, closeQuietly, closeSessionIfNoTransactionActive, createConnection, createConnectionFactory, createJmsSupport, doConnect, doDisconnect, doDispose, doStart, doStop, getAcknowledgementMode, getClientId, getConnection, getConnectionFactory, getConnectionFactoryJndiName, getConnectionFactoryProperties, getJmsSupport, getJndiContext, getJndiInitialFactory, getJndiProviderProperties, getJndiProviderUrl, getMaxRedelivery, getNumberOfConsumers, getPassword, getProtocol, getReceiverKey, getRedeliveryHandlerFactory, getReplyToHandler, getSameRMOverrideValue, getSession, getSession, getSessionFromTransaction, getSpecification, getTopicResolver, getUsername, initJndiContext, isCacheJmsSessions, isDisableTemporaryReplyToDestinations, isDurable, isEagerConsumer, isEmbeddedMode, isForceJndiDestinations, isHonorQosHeaders, isJndiDestinations, isNoLocal, isPersistentDelivery, isResponseEnabled, isReturnOriginalMessageAsReply, lookupFromJndi, preProcessMessage, setAcknowledgementMode, setCacheJmsSessions, setClientId, setConnection, setConnectionFactory, setConnectionFactoryJndiName, setConnectionFactoryProperties, setDisableTemporaryReplyToDestinations, setDurable, setEagerConsumer, setEmbeddedMode, setForceJndiDestinations, setHonorQosHeaders, setJmsSupport, setJndiContext, setJndiDestinations, setJndiInitialFactory, setJndiProviderProperties, setJndiProviderUrl, setMaxRedelivery, setNoLocal, setNumberOfConsumers, setPassword, setPersistentDelivery, setRedeliveryHandlerFactory, setReturnOriginalMessageAsReply, setSameRMOverrideValue, setTopicResolver, setUsername, supportsProperty`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createReceiver, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherPoolFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MULEMQ_CONNECTION_FACTORY_CLASS

    public static final String MULEMQ_CONNECTION_FACTORY_CLASS

See Also:
  Constant Field Values

### DEFAULT_REALM_URL

    public static final String DEFAULT_REALM_URL

See Also:
  Constant Field Values

### DEFAULT_BUFFER_OUTPUT

    public static final String DEFAULT_BUFFER_OUTPUT

See Also:
  Constant Field Values

### DEFAULT_SYNC_WRITES

    public static final boolean DEFAULT_SYNC_WRITES

See Also:
  Constant Field Values

### DEFAULT_SYNC_BATCH_SIZE

    public static final int DEFAULT_SYNC_BATCH_SIZE

See Also:
  Constant Field Values

### DEFAULT_SYNC_TIME

    public static final int DEFAULT_SYNC_TIME

See Also:
  Constant Field Values

### DEFAULT_GLOBAL_STORE_CAPACITY

    public static final int DEFAULT_GLOBAL_STORE_CAPACITY

See Also:
  Constant Field Values

### DEFAULT_MAX_UNACKED_SIZE

    public static final int DEFAULT_MAX_UNACKED_SIZE

See Also:
  Constant Field Values

### DEFAULT_USE_JMS_ENGINE

    public static final boolean DEFAULT_USE_JMS_ENGINE

See Also:
  Constant Field Values

### DEFAULT_QUEUE_WINDOW_SIZE

    public static final int DEFAULT_QUEUE_WINDOW_SIZE

See Also:
  Constant Field Values

### DEFAULT_AUTO_ACK_COUNT

    public static final int DEFAULT_AUTO_ACK_COUNT

See Also:
  Constant Field Values

### DEFAULT_ENABLE_SHARED_DURABLE

    public static final boolean DEFAULT_ENABLE_SHARED_DURABLE

See Also:
  Constant Field Values

### DEFAULT_RANDOMISE_R_NAMES

    public static final boolean DEFAULT_RANDOMISE_R_NAMES

See Also:
  Constant Field Values

### DEFAULT_MAX_REDELIVERY

    public static final int DEFAULT_MAX_REDELIVERY

See Also:
  Constant Field Values

### DEFAULT_MESSAGE_THREAD_POOL_SIZE

    public static final int DEFAULT_MESSAGE_THREAD_POOL_SIZE

See Also:
  Constant Field Values

### DEFAULT_DISC_ON_CLUSTER_FAILURE

    public static final boolean DEFAULT_DISC_ON_CLUSTER_FAILURE

See Also:
  Constant Field Values

### DEFAULT_INITIAL_RETRY_COUNT

    public static final int DEFAULT_INITIAL_RETRY_COUNT

See Also:
  Constant Field Values

### DEFAULT_RETRY_COMMIT

    public static final boolean DEFAULT_RETRY_COMMIT

See Also:
  Constant Field Values

### DEFAULT_ENABLE_MULTIPLEXED_CONNECTIONS

    public static final boolean DEFAULT_ENABLE_MULTIPLEXED_CONNECTIONS

See Also:
  Constant Field Values

### BUFFER_OUTPUT

    protected static final String BUFFER_OUTPUT

See Also:
  Constant Field Values

### SYNC_WRITES

    protected static final String SYNC_WRITES

See Also:
  Constant Field Values

### SYNC_BATCH_SIZE

    protected static final String SYNC_BATCH_SIZE

See Also:
  Constant Field Values

### SYNC_TIME

    protected static final String SYNC_TIME

See Also:
  Constant Field Values

### GLOBAL_STORE_CAPACITY

    protected static final String GLOBAL_STORE_CAPACITY

See Also:
  Constant Field Values

### MAX_UNACKED_SIZE

    protected static final String MAX_UNACKED_SIZE

See Also:
  Constant Field Values

### USE_JMS_ENGINE

    protected static final String USE_JMS_ENGINE

See Also:
  Constant Field Values

### QUEUE_WINDOW_SIZE

    protected static final String QUEUE_WINDOW_SIZE

See Also:
  Constant Field Values

### AUTO_ACK_COUNT

    protected static final String AUTO_ACK_COUNT

See Also:
  Constant Field Values

### ENABLE_SHARED_DURABLE

    protected static final String ENABLE_SHARED_DURABLE

See Also:
  Constant Field Values

### RANDOMISE_R_NAMES

    protected static final String RANDOMISE_R_NAMES

See Also:
  Constant Field Values

### MAX_REDELIVERY

    protected static final String MAX_REDELIVERY

See Also:
  Constant Field Values

### MESSAGE_THREAD_POOL_SIZE

    protected static final String MESSAGE_THREAD_POOL_SIZE

See Also:
  Constant Field Values

### DISC_ON_CLUSTER_FAILURE

    protected static final String DISC_ON_CLUSTER_FAILURE

See Also:
  Constant Field Values

### INITIAL_RETRY_COUNT

    protected static final String INITIAL_RETRY_COUNT

See Also:
  Constant Field Values

### RETRY_COMMIT

    protected static final String RETRY_COMMIT

See Also:
  Constant Field Values

### ENABLE_MULTIPLEXED_CONNECTIONS

    protected static final String ENABLE_MULTIPLEXED_CONNECTIONS

See Also:
  Constant Field Values

### supportJms102bSpec

    public boolean supportJms102bSpec

Constructor Detail

### MuleMQJmsConnector

    public MuleMQJmsConnector(MuleContext context)

Method Detail

### isSupportJms102bSpec

    public boolean isSupportJms102bSpec()

### setSupportJms102bSpec

    public void setSupportJms102bSpec(boolean supportJms102bSpec)

### setSpecification

    public void setSpecification(String specification)

  Overrides:
    `setSpecification` in class `JmsConnector`

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Overrides:
    `doInitialise` in class `JmsConnector`
  Throws:
    `InitialisationException`

### getDefaultConnectionFactory

    protected ConnectionFactory getDefaultConnectionFactory()
                                                     throws Exception

  Description copied from class: `JmsConnector`
  Override this method to provide a default ConnectionFactory for a vendor-specific JMS Connector.

  Overrides:
    `getDefaultConnectionFactory` in class `JmsConnector`
  Throws:
    `Exception`

### getMuleMQFactoryClass

    protected String getMuleMQFactoryClass()

### getRealmURL

    public String getRealmURL()

### setRealmURL

    public void setRealmURL(String realmURL)

### getBufferOutput

    public String getBufferOutput()

### setBufferOutput

    public void setBufferOutput(String bufferOutput)

### isSyncWrites

    public boolean isSyncWrites()

### setSyncWrites

    public void setSyncWrites(boolean syncWrites)

### getSyncBatchSize

    public int getSyncBatchSize()

### setSyncBatchSize

    public void setSyncBatchSize(int syncBatchSize)

### getSyncTime

    public int getSyncTime()

### setSyncTime

    public void setSyncTime(int syncTime)

### getGlobalStoreCapacity

    public int getGlobalStoreCapacity()

### setGlobalStoreCapacity

    public void setGlobalStoreCapacity(int globalStoreCapacity)

### getMaxUnackedSize

    public int getMaxUnackedSize()

### setMaxUnackedSize

    public void setMaxUnackedSize(int maxUnackedSize)

### isUseJMSEngine

    public boolean isUseJMSEngine()

### setUseJMSEngine

    public void setUseJMSEngine(boolean useJMSEngine)

### getQueueWindowSize

    public int getQueueWindowSize()

### setQueueWindowSize

    public void setQueueWindowSize(int queueWindowSize)

### getAutoAckCount

    public int getAutoAckCount()

### setAutoAckCount

    public void setAutoAckCount(int autoAckCount)

### isEnableSharedDurable

    public boolean isEnableSharedDurable()

### setEnableSharedDurable

    public void setEnableSharedDurable(boolean enableSharedDurable)

### isRandomiseRNames

    public boolean isRandomiseRNames()

### setRandomiseRNames

    public void setRandomiseRNames(boolean randomiseRNames)

### getMessageThreadPoolSize

    public int getMessageThreadPoolSize()

### setMessageThreadPoolSize

    public void setMessageThreadPoolSize(int messageThreadPoolSize)

### isDiscOnClusterFailure

    public boolean isDiscOnClusterFailure()

### setDiscOnClusterFailure

    public void setDiscOnClusterFailure(boolean discOnClusterFailure)

### getInitialRetryCount

    public int getInitialRetryCount()

### setInitialRetryCount

    public void setInitialRetryCount(int initialRetryCount)

### getMuleMqMaxRedelivery

    public int getMuleMqMaxRedelivery()

### setMuleMqMaxRedelivery

    public void setMuleMqMaxRedelivery(int mulqMqMaxRedelivery)

### setRetryCommit

    public void setRetryCommit(boolean retryCommit)

### isRetryCommit

    public boolean isRetryCommit()

### isEnableMultiplexedConnections

    public boolean isEnableMultiplexedConnections()

### setEnableMultiplexedConnections

    public void setEnableMultiplexedConnections(boolean enableMultiplexedConnections)

### isInCluster

    public boolean isInCluster()

### setInCluster

    public void setInCluster(boolean inCluster)

### onException

    public void onException(JMSException jmsException)

  Specified by:
    `onException` in interface `ExceptionListener`
  Overrides:
    `onException` in class `JmsConnector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.